"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSchema = void 0;
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const client_1 = require("@apollo/client");
const api_reference_models_api_reference_model_1 = require("@teambit/api-reference.models.api-reference-model");
const GET_SCHEMA = (0, client_1.gql) `
  query Schema($extensionId: String!, $componentId: String!) {
    getHost(id: $extensionId) {
      id # used for GQL caching
      getSchema(id: $componentId)
    }
  }
`;
function useSchema(host, componentId, apiNodeRenderers) {
    var _a;
    const _b = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(GET_SCHEMA, {
        variables: {
            extensionId: host,
            componentId,
        },
    }), { data } = _b, rest = __rest(_b, ["data"]);
    const apiModel = ((_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.getSchema) ? api_reference_models_api_reference_model_1.APIReferenceModel.from(data, apiNodeRenderers) : undefined;
    return Object.assign(Object.assign({}, rest), { apiModel });
}
exports.useSchema = useSchema;
//# sourceMappingURL=use-schema.js.map